Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.AssignmentExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.AssignmentExprAltContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `ExpressionContext` | `left` |
    `Token` | `op` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AssignmentExprAltContext (ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `TerminalNode` | `ADD_ASSIGN()`
    `` | `TerminalNode` | `AND_ASSIGN()`
    `` | `TerminalNode` | `ASSIGN()`
    `` | `TerminalNode` | `DIV_ASSIGN()`
    `` | `TerminalNode` | `ELVIS_ASSIGN()`
    `` | `TerminalNode` | `LSHIFT_ASSIGN()`
    `` | `TerminalNode` | `MOD_ASSIGN()`
    `` | `TerminalNode` | `MUL_ASSIGN()`
    `` | `TerminalNode` | `OR_ASSIGN()`
    `` | `TerminalNode` | `POWER_ASSIGN()`
    `` | `TerminalNode` | `RSHIFT_ASSIGN()`
    `` | `TerminalNode` | `SUB_ASSIGN()`
    `` | `TerminalNode` | `URSHIFT_ASSIGN()`
    `` | `TerminalNode` | `XOR_ASSIGN()`
    `` | `Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `EnhancedStatementExpressionContext` | `enhancedStatementExpression()`
    `` | `ExpressionContext` | `expression()`
    `` | `List<? extends NlsContext>` | `nls()`
    `` | `NlsContext` | `nls(int i)`

- - ### Field Detail

    - #### public ExpressionContext left

    - #### public Token op

  - ### Constructor Detail

    - #### public AssignmentExprAltContext(ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode ADD_ASSIGN()

    - #### public TerminalNode AND_ASSIGN()

    - #### public TerminalNode ASSIGN()

    - #### public TerminalNode DIV_ASSIGN()

    - #### public TerminalNode ELVIS_ASSIGN()

    - #### public TerminalNode LSHIFT_ASSIGN()

    - #### public TerminalNode MOD_ASSIGN()

    - #### public TerminalNode MUL_ASSIGN()

    - #### public TerminalNode OR_ASSIGN()

    - #### public TerminalNode POWER_ASSIGN()

    - #### public TerminalNode RSHIFT_ASSIGN()

    - #### public TerminalNode SUB_ASSIGN()

    - #### public TerminalNode URSHIFT_ASSIGN()

    - #### public TerminalNode XOR_ASSIGN()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public EnhancedStatementExpressionContext enhancedStatementExpression()

    - #### public ExpressionContext expression()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)